MattG
  •  MattG
  • 52.4% (Neutral)
  • YAF Forumling Topic Starter
2011-01-27T23:19:54Z
I have YAF 1.9.5 RC1 embedded inside a master page in my website. It's coming together pretty well, but I keep hitting this error on the client side on some, but not all pages:

Message: Object doesn't support this property or method
Line: 483
Char: 2856
Code: 0
URI: https://localhost/forumhost.aspx?g=mytopics

Viewing source always points to this area:

Sys.Application.add_load(ctl00_ContentPlaceHolder1_ctl00_YafForumPageErrorPopup1_LoadScript);function ctl00_ContentPlaceHolder1_ctl00_YafForumPageErrorPopup1_LoadScript(){......

Any ideas?

-MattG
Sponsor
MattG
  •  MattG
  • 52.4% (Neutral)
  • YAF Forumling Topic Starter
2011-01-28T20:36:34Z
Update: I ugraded to 1.9.5 Final - still getting the same error, but now it's on all pages. Here's the line from the forum page:

Sys.Application.add_load(ctl00_ContentPlaceHolder1_ctl00_YafForumPageErrorPopup1_LoadScript);function ctl00_ContentPlaceHolder1_ctl00_YafForumPageErrorPopup1_LoadScript(){jQuery("#ctl00_ContentPlaceHolder1_ctl00_YafForumPageErrorPopup1").dialog({autoOpen:false,dialogClass:'',resizable:false,stack:true,modal:true,title:'Notification',width:'400px',buttons:{'OK':function(){jQuery(this).dialog('close');}}});Sys.Application.remove_load(ctl00_ContentPlaceHolder1_ctl00_YafForumPageErrorPopup1_LoadScript);}Sys.Application.add_init(function() {
Chris_Thrash
2011-02-19T04:40:26Z
Were you able to resolve this? I am having the same error on my site and it is breaking some jquery I have on the page.
MattG
  •  MattG
  • 52.4% (Neutral)
  • YAF Forumling Topic Starter
2011-02-22T16:15:05Z
Yes, but it was not JQuery related. If I remember right, it had to do with .net 4.0.

I added this to Yaf.Classes.Data and DNA.UI.Jquery AssemblyInfo.cs files:

//To lock into the .NET Framework 2.0 rules (level 1 transparency), use the following annotation:
[assembly: SecurityRules(SecurityRuleSet.Level1)]
bbobb
  •  bbobb
  • 100% (Exalted)
  • YAF Developer
2011-02-22T16:33:21Z
Originally Posted by: MattG 

Yes, but it was not JQuery related.


DNA is already phased out and isn't used in YAF, so use 1.9.5.5 FINAL(RTW) when it comes out.
I don't remember a version in which it's disapeared.
Chris_Thrash
2011-02-22T17:25:44Z
That would explain it, the site is using .NET framework 4.0. I guess I'll have to switch to the source version to fix this.
Users browsing this topic

    About Us

    The YAF.NET is an open source .NET forum project. YAF.NET is supported by an team of international developers who are build community by building community software.

    Powered by Resharper Donate with PayPal button

    Project Twitter Updates

    Copyright © YetAnotherForum.NET & Ingo Herbote. All rights reserved